Subject: Re: [PATCH net-next v3 0/3] optimize procedure of changing MAC address on interface

From: Simon Horman <[email-masked]>
Date: Thu, 15 Jun 2023 13:31:20 +0200

On Thu, Jun 15, 2023 at 10:51:28AM +0200, Piotr Gardocki wrote:
> On 15.06.2023 09:31, Simon Horman wrote:
> > On Wed, Jun 14, 2023 at 04:52:59PM +0200, Piotr Gardocki wrote:
> >> The first patch adds an if statement in core to skip early when
> >> the MAC address is not being changes.
> >> The remaining patches remove such checks from Intel drivers
> >> as they're redundant at this point.
> > 
> > Hi Pitor,
> > 
> > I am wondering if you audited other drivers to see if they
> > could also be updated in a similar way to the Intel changes
> > in this patch-set.
> 
> Hi Simon,
> 
> We already discussed this in "[PATCH net-next v2 3/3]". Other drivers
> should be audited at one point, but there are hundreds of ndo_set_mac_address
> callbacks in kernel and I don't have resources to review all of them. I just
> fixed Intel drivers for now.
> When this patch set is applied someone else can work on that.

Sorry, I forgot about that discussion.
Of course this is fine.